fast_tampon.hpp File Reference

defines the fast_tampon class that provides simplified but fast asynchronous pipe-like (unidirectional) communication between two threads More...

`#include "config.h"`
`#include "condition.hpp"`
`#include "exceptions.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::fast_tampon< T >
| Class fast_tampon provides asynchronous communication between two threads. More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines the fast_tampon class that provides simplified but fast asynchronous pipe-like (unidirectional) communication between two threads

Definition in file fast_tampon.hpp.